summaryrefslogtreecommitdiff
path: root/bin/menuscripts
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2025-01-05 19:48:25 +0100
committerRaymaekers Luca <raymaekers.luca@gmail.com>2025-01-05 19:48:25 +0100
commit58bf86c706c5a442da4fb01ea26e06f1ed291d45 (patch)
treefbf807aae15c4f3eb467f1475f2329c8709d0e24 /bin/menuscripts
parent0a69f01a5f7f67bd771fd983aa8ba4146cbafcc8 (diff)
checkpoint
Diffstat (limited to 'bin/menuscripts')
-rwxr-xr-xbin/menuscripts/mgame3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/menuscripts/mgame b/bin/menuscripts/mgame
index 7c90a2b..cd7a7b0 100755
--- a/bin/menuscripts/mgame
+++ b/bin/menuscripts/mgame
@@ -4,7 +4,7 @@ steam_games()
{
# List every manifest file and get the id of the games from the file names and the name of the
# game from the file.
- find $HOME/.local/share/Steam/steamapps \
+ find ~/.local/share/Steam/steamapps \
-maxdepth 1 -type f -iname 'appmanifest_*.acf' |
while read -r File; do
Name="$(grep '"name"' "$File" | cut -f 4 -d '"')"
@@ -15,6 +15,7 @@ steam_games()
}
Choice="$(steam_games | cut -f 2- -d' ' | dmenu -c -i -x)"
+[ "$Choice" ] || exit 1
ID="$(steam_games | grep "[0-9]\+ $Choice" | cut -f 1 -d ' ')"
setsid steam steam://rungameid/"$ID"